## sasdata 0.9.0

=== requirements.txt ===
# Data import/export requirements
h5py
lxml < 5.0

# Calculation
numpy==1.*

# Unit testing
pytest
unittest-xml-reporting

# Documentation
sphinx

## sasdata 0.8.1

=== debian/changelog ===
sasdata (0.8.1-3) unstable; urgency=medium

  * No-change upload for testing migration.

 -- Stuart Prescott <stuart@debian.org>  Sat, 29 Oct 2022 01:32:42 +1100

sasdata (0.8.1-2) unstable; urgency=medium

  * Add additional copyright info for xsd files (UChicago Argonne).

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 Sep 2022 00:05:00 +1000

sasdata (0.8.1-1) unstable; urgency=medium

  * Initial release, splitting this module out from the sasview package,
    tracking upstream changes.

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Aug 2022 17:12:27 +1000

=== debian/control ===
Source: sasdata
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
 Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-h5py,
 python3-lxml,
 python3-numpy,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://www.sasview.org/
Vcs-Git: https://salsa.debian.org/science-team/sasdata.git
Vcs-Browser: https://salsa.debian.org/science-team/sasdata
Rules-Requires-Root: no

Package: python3-sasdata
Architecture: all
Section: python
Depends:
 python3-h5py,
 python3-lxml,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends}
Suggests: python-sasdata-doc
Description: Data file handling for small-angle scattering (Python 3)
 The sasdata Python module provides utilities for importing and operating
 on reduced small angle scattering data. The module may be used in standalone
 code to build custom fitters, in conjunction with the sasmodels modules to
 analyse data from custom scripts, or as part of the sasview analysis package.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=sasdata

# list tests as they run
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf debian/*/usr/bin

=== debian/tests/control ===
Tests: python3-sasdata
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-pytest,
 python3-sasdata,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sasdata-$1.tar.gz%" \
   https://github.com/SasView/sasdata/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sasdata 0.9.0

=== debian/changelog ===
sasdata (0.9.0-3) unstable; urgency=medium

  * Cherry-pick patch from upstream for numpy 2 compatibility
    (Closes: #1095093).
  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Feb 2025 21:20:57 +1100

sasdata (0.9.0-2) experimental; urgency=medium

  * Add sasdata-doc package for documentation.

 -- Stuart Prescott <stuart@debian.org>  Sun, 22 Dec 2024 10:57:27 +1100

sasdata (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add new patch to prevent tests from trying network access on buildd.
  * Reformat patches with gbp pq.
  * Update lintian overrides for new home of example_data.

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Nov 2024 01:01:16 +1100

sasdata (0.8.1-5) unstable; urgency=medium

  * Add updated patch to change schema to work with both old and new libxml2.

 -- Stuart Prescott <stuart@debian.org>  Fri, 09 Aug 2024 15:16:05 +1000

sasdata (0.8.1-4) unstable; urgency=medium

  * debian patch fix_invalid_data_tests.patch fixes tests by catching
    Exception generated when handling invalid data. Closes: #1073418.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jul 2024 20:00:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ libjs-jquery,
+ libjs-mathjax,
  python3-all,
  python3-h5py,
  python3-lxml,
  python3-numpy,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.1
+ python3-sphinx,
+Standards-Version: 4.7.0
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasdata.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasdata
@@ -37,3 +42,20 @@
  analyse data from custom scripts, or as part of the sasview analysis package.
  .
  This package contains the Python 3 module.
+
+Package: python-sasdata-doc
+Multi-Arch: foreign
+Architecture: all
+Section: doc
+Depends:
+ libjs-jquery,
+ libjs-mathjax,
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
+Description: Data file handling for small-angle scattering (documentation)
+ The sasdata Python module provides utilities for importing and operating
+ on reduced small angle scattering data. The module may be used in standalone
+ code to build custom fitters, in conjunction with the sasmodels modules to
+ analyse data from custom scripts, or as part of the sasview analysis package.
+ .
+ This package contains the documentation for the module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=sasdata
export SKIP_NETWORK_TESTS=1

# list tests as they run
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
	+PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
	ln -sf /usr/share/javascript/mathjax ./docs/source/build/html/_static

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/SasView/sasdata/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sasdata 0.10.0

=== debian/changelog ===
sasdata (0.10.0-1) experimental; urgency=medium

  * New upstream release.
    - drop patches applied upstream
    - switch to pyproject.toml for build
    - update build-dependencies for hatchling build system
  * Update file picking for new build system.
  * Update S-V to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 12 Jul 2025 19:30:21 +1000

## sasdata 0.11.0

=== requirements.txt ===
# Data import/export requirements
h5py
lxml

# Calculation
numpy

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation

# Environment variables
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXAPIDOC  ?= sphinx-apidoc
APIOPTS       = -d 8 -H SasData
DOCSDIR       = docs
SOURCEDIR     = source
BUILDDIR      = build
DEVDIR        = dev
LIBDIR        = lib
GENDIR        = generated
UP            = ..

ifdef ComSpec
    RMDIR   = rmdir /s/q
    MKDIR   = mkdir
    PATHSEP = $(strip \)
else
    RMDIR   = rm -rf
    MKDIR   = mkdir -p
    PATHSEP = $(strip /)
endif

SASDATABUILD  = $(UP)$(PATHSEP)$(BUILDDIR)$(PATHSEP)$(LIBDIR)
DOCSSRC       = $(SOURCEDIR)
DEV           = $(DOCSSRC)$(PATHSEP)$(DEVDIR)
DEVGEN        = $(DEV)$(PATHSEP)$(GENDIR)
DOCSBUILD     = $(DOCSSRC)$(PATHSEP)$(BUILDDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	-$(RMDIR) "$(DEVGEN)" "$(DOCSBUILD)"

dir:
	-$(MKDIR) "$(DEVGEN)"
	-$(MKDIR) "$(DOCSBUILD)"

.PHONY: help Makefile

# Generate the api docs
api:
	$(SPHINXAPIDOC) -o "$(DEVGEN)" $(APIOPTS) "$(SASDATABUILD)"

html: dir api
	@$(SPHINXBUILD) -M $@ "$(DOCSSRC)" "$(DOCSBUILD)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sasdata (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 01 Oct 2025 14:01:42 +1000

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,18 @@
  dh-sequence-sphinxdoc,
  libjs-jquery,
  libjs-mathjax,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-h5py,
+ python3-hatch-requirements-txt,
+ python3-hatch-sphinx,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-lxml,
  python3-numpy,
  python3-pytest,
- python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasdata.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasdata

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=sasdata
export SKIP_NETWORK_TESTS=1

# list tests as they run
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-sasdata/usr/lib/python3*/dist-packages/sasdata/docs*/

execute_after_dh_installdocs:
	rm -rf $(CURDIR)/debian/python-sasdata-doc/usr/share/doc/*/.doctrees

=== debian/tests/control ===
Tests: python3-sasdata
Restrictions: allow-stderr, needs-internet
Depends:
 ca-certificates,
 python3-all,
 python3-pytest,
 python3-sasdata,

=== debian/watch ===
Version: 5

Template: Github
Owner: SasView
Project: sasdata
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@SEMANTIC_VERSION@
